Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BTreeCursor..::.Move Method (UInt32, LockingInfo)
BTreeCursor Class See Also Send Feedback

Position the cursor at a specific key/data pair in the database, and store the key/data pair in Current.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public bool Move(
    	uint recno,
    	LockingInfo info
    )

Visual Basic (Declaration)
    Public Function Move ( _
    	recno As UInteger, _
    	info As LockingInfo _
    ) As Boolean

Visual C++
    public:
    bool Move(
    	unsigned int recno,
    	LockingInfo^ info
    )

#### Parameters

recno
  Type: System..::.UInt32
  The specific numbered record of the database at which to position the cursor.

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

BTreeCursor Class
Move Overload
BerkeleyDB Namespace